Subject: Re: [PATCH] mtd/maps: add mtd-ram support to physmap_of

From: Albrecht Dreß <[email-masked]>
Date: Fri, 31 Jul 2009 21:47:10 +0200

Am 17.07.09 14:39 schrieb(en) Wolfram Sang:
> Use physmap_of to access RAMs as mtd and add documenation for it.  
> This approach is a lot less intrusive as adding an of-wrapper around  
> plat-ram.c. As most extensions of plat-ram.c (e.g. custom  
> map-functions) can't be mapped to the device tree anyhow, extending  
> physmap_of seems to be the cleanest approach.

The patch works nicely on a custom (roughly Icecube) based 5200B board,  
with a Renesas static ram, no partitions and a jffs2 file system on  
it.  I had to add some more tweaks to physmap_of.c as to work around  
the 5200's limitations accessing chips in 16-bit mode through the local  
bus, which is a lot easier and cleaner with this patch than with the  
old one (of 05 June 09).

Acked-by: Albrecht Dreß <[email-masked]>